be.ehealth.business.mycarenetdomaincommons.builders

## Interface CommonBuilder

- All Superinterfaces:
    ConfigurableImplementation
  All Known Implementing Classes:
    AbstractCommonBuilderImpl, GenericCommonBuilderImpl

      public interface CommonBuilder
      extends ConfigurableImplementation

  Interface for all Common Builders for MyCarenet requests provide methods to convert mycarenet objects to Jaxb object used in request there is an implementation provided by default by the RequestBuilderFactory in this case, the used values come from properties file (see provided empties properties files) Default impl : `GenericCommonBuilderImpl`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROJECT_NAME_KEY` key to identify project name.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommonInput` | `createCommonInput(McnPackageInfo packageInfo, boolean isTest, String inputReference)` Creates CommonInputType part with given parameters
    `CommonInput` | `createCommonInput(McnPackageInfo packageInfo, boolean isTest, String inputReference, List<Reference> references, List<Attribute> attributes)` Creates CommonInputType part with given parameters
    `CommonInput` | `createCommonInput(PackageInfo packageInfo, boolean isTest, String inputReference)` Deprecated. PackageInfo parameter deprecated : use method with new McnPackageInfo type instead
    `Origin` | `createOrigin(McnPackageInfo packageInfo)` Create Origin part with package informations
    `Origin` | `createOrigin(PackageInfo packageInfo)` Deprecated. PackageInfo parameter deprecated : use method with new McnPackageInfo type instead
    `Routing` | `createRouting(Patient patientInfo, org.joda.time.DateTime refDate)` Deprecated. Use `createRouting(Patient, LocalDateTime)` instead. Creates Routing object with given parameters. The routing info is used to determine the OA (insurance organisation) to send the info to. Can be ommitted in some cases ( if other means to determine OA are provided , ex Ws-Addressing header )
    `Routing` | `createRouting(Patient patientInfo, LocalDateTime refDate)` Creates Routing object with given parameters.
    `Routing` | `createRoutingToMutuality(String mutuality, org.joda.time.DateTime refDate)` creates a 'dummy' careReceiver to send to a mutuality.

    - ### Methods inherited from interface be.ehealth.technicalconnector.utils.ConfigurableImplementation

      `initialize`

- - ### Field Detail

    - #### PROJECT_NAME_KEY

          static final String PROJECT_NAME_KEY

      key to identify project name.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### createRouting

          @Deprecated
          Routing createRouting(Patient patientInfo,
                                             org.joda.time.DateTime refDate)

      Deprecated. Use `createRouting(Patient, LocalDateTime)` instead. Creates Routing object with given parameters. The routing info is used to determine the OA (insurance organisation) to send the info to. Can be ommitted in some cases ( if other means to determine OA are provided , ex Ws-Addressing header )
      Parameters:
        `patientInfo` - all the available informations about the concerned patient
        `refDate` - the reference date
      Returns:
        the RoutingType object

    - #### createRouting

          Routing createRouting(Patient patientInfo,
                                LocalDateTime refDate)

      Creates Routing object with given parameters. The routing info is used to determine the OA (insurance organisation) to send the info to. Can be ommitted in some cases ( if other means to determine OA are provided , ex Ws-Addressing header )
      Parameters:
        `patientInfo` - all the available informations about the concerned patient
        `refDate` - the reference date
      Returns:
        the RoutingType object

    - #### createCommonInput

          @Deprecated
          CommonInput createCommonInput(PackageInfo packageInfo,
                                                     boolean isTest,
                                                     String inputReference)
                                              throws TechnicalConnectorException

      Deprecated. PackageInfo parameter deprecated : use method with new McnPackageInfo type instead
      Creates CommonInputType part with given parameters
      Parameters:
        `packageInfo` - the packageInfo: provides info about the software package creating the message
        `isTest` - true if you're running a test, false otherwise
        `inputReference` - the inputReference : unique reference created by the careprovider
      Returns:
        filled CommonInput object
      Throws:
        `TechnicalConnectorException`

    - #### createOrigin

          @Deprecated
          Origin createOrigin(PackageInfo packageInfo)
                                    throws TechnicalConnectorException

      Deprecated. PackageInfo parameter deprecated : use method with new McnPackageInfo type instead
      Create Origin part with package informations
      Parameters:
        `packageInfo` - the packageInfo: provides info about the software package creating the message
      Returns:
        filled Origin object
      Throws:
        `TechnicalConnectorException`

    - #### createCommonInput

          CommonInput createCommonInput(McnPackageInfo packageInfo,
                                        boolean isTest,
                                        String inputReference)
                                 throws TechnicalConnectorException

      Creates CommonInputType part with given parameters
      Parameters:
        `packageInfo` - the packageInfo: provides info about the software package creating the message
        `isTest` - true if you're running a test, false otherwise
        `inputReference` - the inputReference : unique reference created by the careprovider
      Returns:
        filled CommonInput object
      Throws:
        `TechnicalConnectorException`

    - #### createCommonInput

          CommonInput createCommonInput(McnPackageInfo packageInfo,
                                        boolean isTest,
                                        String inputReference,
                                        List<Reference> references,
                                        List<Attribute> attributes)
                                 throws TechnicalConnectorException

      Creates CommonInputType part with given parameters
      Parameters:
        `packageInfo` - the packageInfo: provides info about the software package creating the message
        `isTest` - true if you're running a test, false otherwise
        `inputReference` - the inputReference : unique reference created by the careprovider
      Returns:
        filled CommonInput object
      Throws:
        `TechnicalConnectorException`

    - #### createOrigin

          Origin createOrigin(McnPackageInfo packageInfo)
                       throws TechnicalConnectorException

      Create Origin part with package informations
      Parameters:
        `packageInfo` - the packageInfo: provides info about the software package creating the message
      Returns:
        filled Origin object
      Throws:
        `TechnicalConnectorException`

    - #### createRoutingToMutuality

          Routing createRoutingToMutuality(String mutuality,
                                           org.joda.time.DateTime refDate)

      creates a 'dummy' careReceiver to send to a mutuality.
      Parameters:
        `mutuality` - the mutuality identifier (X00).
        `refDate` - the reference date.
      Returns:
        the Routing Object

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.